/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.context;

import java.util.Comparator;
import java.util.Map;
import org.semanticweb.owlapi.model.OWLClassExpression;

/**
 *
 * @author hansen
 */
public class ConceptComparator implements Comparator<OWLClassExpression> {
    private Map<OWLClassExpression, Integer> map;
    
    public ConceptComparator (Map<OWLClassExpression, Integer> subconcepts2Int) {
        this.map = subconcepts2Int;
    }

    @Override
    public int compare(OWLClassExpression o1, OWLClassExpression o2) {
        int firstValue = map.get(o1);
        int secondValue = map.get(o2);
        return firstValue - secondValue;        
    }
    
}
