/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.runnables;

import de.unibremen.informatik.tdki.grind.control.GammaAndOmegaCaller;
import de.unibremen.informatik.tdki.grind.statistics.OverviewLogger;
import java.io.FileNotFoundException;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.semanticweb.owlapi.model.OWLOntologyCreationException;

/**
 *
 * @author hansen
 */
public class RunManyOntologies {

    static boolean logging = true;
    static boolean verbose = true;
    static boolean norewrite = true;

    public static void main(String[] args) throws OWLOntologyCreationException, FileNotFoundException, Exception {

        // Run selected ontologies:
        String[] ontSources = new String[]{
            //            "./ontologies/petersCancelling.owl",
            //            "./ontologies/petersGammaTest.owl",
            //            "./ontologies/petersEquivalenceTest.owl",
            //            "./ontologies/no-cycles/AAO.owl", //    no ex lhs
            //            "./ontologies/no-cycles/EDAM.obo", //    no ex lhs
            //            "./ontologies/no-cycles/fly_anatomy.owl", //    no ex lhs
            //            "./ontologies/framenet.owl",

            // The Seven Ontologies:
//            "./ontologies/cyclic-ontologies/ENVO-resaved-protege-402.owl",
//            "./ontologies/cyclic-ontologies/FBbi-resaved-protege-402.owl",
//            "./ontologies/cyclic-ontologies/NBO.owl",
//            "./ontologies/cyclic-ontologies/XP.owl",
//            "./ontologies/cyclic-ontologies/SO-from-obo-402.owl",
//            "./ontologies/cyclic-ontologies/MOHSE.owl",
            "./ontologies/cyclic-ontologies/not-galen.owl",
        };

        Date dNow = new Date();
        SimpleDateFormat ft = new SimpleDateFormat("yyyyMMdd-HHmmss");
        System.out.println("Current Date: " + ft.format(dNow));
        String date = ft.format(dNow);

        for (String s : ontSources) {

            OverviewLogger.initialize(s, date, logging);

            GammaAndOmegaCaller caller = new GammaAndOmegaCaller(s, logging, verbose, norewrite);
            caller.runAllConceptnames();

            OverviewLogger.getInstance().close();
        }
    }

}
