/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.runnables;

import de.unibremen.informatik.tdki.grind.control.GammaAndOmegaCaller;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.semanticweb.owlapi.model.OWLOntologyCreationException;

/**
 *
 * @author hansen
 */
public class RunSingleConceptname {

    static boolean logging = false;
    static boolean verbose = true;
    static boolean norewrite = false;

    public static void main(String[] args) throws OWLOntologyCreationException, FileNotFoundException, Exception {

        String mohse = "./ontologies/cyclic-ontologies/MOHSE.owl";
        String ngalen = "./ontologies/cyclic-ontologies/not-galen.owl";
        String so = "./ontologies/cyclic-ontologies/SO-from-obo-402.owl";
        String envo = "./ontologies/cyclic-ontologies/ENVO-resaved-protege-402.owl";
//        String petersTest = "./ontologies/petersMinCancelling.owl";
        String petersTest = "./ontologies/petersELHDeepCancelling.owl";
        String ijcaiExample = "./ontologies/ijcaiExample.owl";
        String ijcaiExample2 = "./ontologies/ijcaiExampleTPrime.owl";

        
        List<List<String>> listOfOntNameAndCN = new ArrayList(Arrays.asList(
               new ArrayList(Arrays.asList(ijcaiExample, "A0"))
//                new ArrayList(Arrays.asList(petersTest, "A0"))
        //                new ArrayList(Arrays.asList(mohse, "HypertensiveCardiacPathology"))
        //                new ArrayList(Arrays.asList(mohse, "CardiovascularDisease")),
        //                new ArrayList(Arrays.asList(mohse, "HypertensiveHeartAndRenalPathology")),
        //                new ArrayList(Arrays.asList(mohse, "CardiacAsthma")),
        //                new ArrayList(Arrays.asList(mohse, "HypertensiveDisease")),
        //                new ArrayList(Arrays.asList(mohse, "SecondaryHypertension")),
        //                new ArrayList(Arrays.asList(mohse, "IschaemicCardiacPathology")),
        //                new ArrayList(Arrays.asList(mohse, "HeartAndLungPathology")),
        //                new ArrayList(Arrays.asList(mohse, "CardiacPathology"))
        //                new ArrayList(Arrays.asList(mohse, "Anonymous-294")) // this is notFO after 13.5 min!

//                        new ArrayList(Arrays.asList(so, "owlSO_0001837"))
        //                new ArrayList(Arrays.asList(so, "owlSO_0001720")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0000001"))

        //                new ArrayList(Arrays.asList(so, "owlSO_0000667")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0000110")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001218")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0000804")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0000805")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001507")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0000994")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001037")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001059")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001409")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001410")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001005")),
        //                new ArrayList(Arrays.asList(so, "owlSO_0001411")),

        //                new ArrayList(Arrays.asList(envo, "owlENVO_00005785")) // this is notFO after 13.5 min!
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000049"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000052"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000049"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000049"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000175"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00004683"))
        //                new ArrayList(Arrays.asList(envo, "owlENVO_00000086"))

        //new ArrayList(Arrays.asList(ngalen, "TruelyHollowStructure"))
        ));

        for (List<String> ontNameAndCN : listOfOntNameAndCN) {

            String ontName = ontNameAndCN.get(0);
            String concept = ontNameAndCN.get(1);

            GammaAndOmegaCaller caller = new GammaAndOmegaCaller(ontName, logging, verbose, norewrite);
            caller.runSingleConceptname(concept);
        }
    }

}
