/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.statistics;

import java.io.PrintWriter;

/**
 *
 * @author seylan
 */
public class DetailsLogger {

    private static DetailsLogger instance;
    private PrintWriter writer;

    private DetailsLogger() {
    }

    public static DetailsLogger getInstance() {
        if (instance == null) {
            instance = new DetailsLogger();
            instance.setWriter(new PrintWriter(System.out));
        }
        return instance;
    }

    public PrintWriter getWriter() {
        return writer;
    }

    public void setWriter(PrintWriter writer) {
        this.writer = writer;
    }

    public void writeLogEntry(DetailsLogEntry entry) {
        writer.println(entry);
        writer.flush();
    }

}
