/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.utilities.counting;

/**
 *
 * @author seylan
 */
public class OntologyStatistics {

    private int gciCount;
    private int subconceptCount;
    private int conceptNameCount;

    public OntologyStatistics() {

    }

    public OntologyStatistics(int gciCount, int subconceptCount, int conceptnameCount) {
        this.gciCount = gciCount;
        this.subconceptCount = subconceptCount;
        this.conceptNameCount = conceptnameCount;
    }

    public int getGciCount() {
        return gciCount;
    }

    public void setGciCount(int gciCount) {
        this.gciCount = gciCount;
    }

    public int getSubconceptCount() {
        return subconceptCount;
    }

    public void setSubconceptCount(int subconceptCount) {
        this.subconceptCount = subconceptCount;
    }

    public int getConceptNameCount() {
        return conceptNameCount;
    }

    public void setConceptNameCount(int conceptNameCount) {
        this.conceptNameCount = conceptNameCount;
    }

    @Override
    public String toString() {
        return "No of gcis=" + gciCount + ", no of subconcepts=" + subconceptCount + ", no of concept names=" + conceptNameCount;
    }

}
