/*
 * Copyright 2014, 2015 Peter Hansen and İnanç Seylan.
 * 
 * This file is part of Grind.
 * 
 * Grind is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Grind is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Grind.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unibremen.informatik.tdki.grind.utilities.syntax;

import de.unibremen.informatik.tdki.grind.context.OriginalOntology;
import java.io.File;
import java.io.FileNotFoundException;
import org.semanticweb.owlapi.apibinding.OWLManager;
import org.semanticweb.owlapi.model.OWLOntology;
import org.semanticweb.owlapi.model.OWLOntologyCreationException;
import org.semanticweb.owlapi.model.OWLOntologyManager;
import org.semanticweb.owlapi.model.UnloadableImportException;

/**
 *
 * @author hansen
 */
public class InterestingnessChecker {

    public static void main(String[] args) throws OWLOntologyCreationException, FileNotFoundException {
        File folder = new File("./ontologies/cyclic-ontologies");
        File[] listOfFiles = folder.listFiles();
        for (File ontSource : listOfFiles) {
            if (!ontSource.isFile() || ontSource.getName().equals(".DS_Store")) {
                continue;
            }
            if (!isInteresting(ontSource.getAbsolutePath())) {
                // ontSource.renameTo(new File("ontologies/elk-uninteresting/" + ontSource.getName()));
            }
        }
    }

    public static boolean isInteresting(String ontSource) throws OWLOntologyCreationException, FileNotFoundException {

        System.out.println("\n\nOpening ontology " + ontSource + "...\n");

        OWLOntologyManager manager = OWLManager.createOWLOntologyManager();
        File file = new File(ontSource);
        try {
            OWLOntology ont = manager.loadOntologyFromOntologyDocument(file);
            return OriginalOntology.collectInfoAboutOntology(ont);
        } catch (UnloadableImportException e) {
            return false;
        }
    }
}
